[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [serf-dev] Re: serf 0.7.0 released

From: Peter Samuelson <peter_at_p12n.org>
Date: Wed, 25 Aug 2010 18:01:54 -0500

[Justin Erenkrantz]
> On Wed, Aug 25, 2010 at 2:45 PM, Blair Zajac <blair_at_orcaware.com> wrote:
> > Does it change the ABI?  Do we need to wait for the next svn 1.6.x release
> > before we can use it?  I'm asking because I maintain the MacPorts serf
> > package and don't want to break existing installs.
>
> Subversion 1.6.12 is busted with serf 0.6.1 anyway. =(
>
> You'd need the next release of Subversion 1.6.x (assuming the pending
> backport is approved) to make 1.6.x work in combination with 0.7.0.

Yeah but presumably he's asking because he's linking libsvn_ra_serf to
serf 0.3.x now, so the question remains: is 0.7.0 ABI-compatible with
0.3.x? As far as I know, 0.3 is ABI-compatible with 0.2 and 0.1.

Peter
Received on 2010-08-26 01:00:49 CEST

This is an archived mail posted to the Subversion Dev mailing list.